<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <link rel="icon" href="<%= BASE_URL %>favicon.ico">
    <title>streamer-dashboard</title>
    <style>
        .loader {
            position: relative;
            min-height: 100vh;
            min-width: 100vw;
        }

        .loader-inside {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            text-align: center;
        }

        /* Credit: https://glennmccomb.com/articles/building-a-pure-css-animated-svg-spinner/ */
        .loader svg {
            animation: 1.7s linear infinite svg-animation;
            max-width: 100px;
            margin-bottom: 1em;
        }

        @keyframes svg-animation {
            0% {
                transform: rotateZ(0deg);
            }
            100% {
                transform: rotateZ(360deg)
            }
        }

        .loader circle {
            animation: 1.4s ease-in-out infinite both circle-animation;
            display: block;
            fill: transparent;
            stroke: #2f3d4c;
            stroke-linecap: round;
            stroke-dasharray: 283;
            stroke-dashoffset: 280;
            stroke-width: 10px;
            transform-origin: 50% 50%;
        }

        @keyframes circle-animation {
            0%,
            25% {
                stroke-dashoffset: 280;
                transform: rotate(0);
            }
            
            50%,
            75% {
                stroke-dashoffset: 75;
                transform: rotate(45deg);
            }
            
            100% {
                stroke-dashoffset: 280;
                transform: rotate(360deg);
            }
        }
    </style>
  </head>
  <body>
    <noscript>
      <strong>We're sorry but streamer-dashboard doesn't work properly without JavaScript enabled. Please enable it to continue.</strong>
    </noscript>
    <div id="app">
        <div class="loader">
            <div class="loader-inside">
                <svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg">
                    <circle cx="50" cy="50" r="45"/>
                </svg>
                <br>
                Loading Streaming Dashboard...
                <br>
                Please Wait
            </div>
        </div>
    </div>
    <!-- built files will be auto injected -->
  </body>
</html>
